function love.load()
	math.randomseed(os.time()) math.random()
	img_logo=love.graphics.newImage("logo/img_logo.png")
	img_logo_flare=love.graphics.newImage("logo/img_logo_flare.png")
	snd_logo=love.audio.newSource("logo/logo sound "..tostring(math.random(7))..".ogg","stream")
	snd_logo:play()
	logo_image={}
	for a=1,3 do
		logo_image[a]={x=math.random(380,420),y=math.random(280,320),nextx=math.random(399,401),nexty=math.random(299,301)}
	end
	fps_timer=0
	logo_alpha=0
	logo_timer=0
end

function love.update(dt)
	for a=1,3 do
		if logo_image[a].x==logo_image[a].nextx then
			logo_image[a].nextx=math.random(399,401)
		end
		if logo_image[a].y==logo_image[a].nexty then
			logo_image[a].nexty=math.random(299,301)
		end
	end
	
	fps_timer=fps_timer+dt
	if fps_timer>1/60 then
		fps_timer=fps_timer-1/60
		logo_timer=logo_timer+1/60
		for a=1,3 do
			if logo_image[a].x>logo_image[a].nextx then
				logo_image[a].x=logo_image[a].x-0.5
			elseif logo_image[a].x<logo_image[a].nextx then
				logo_image[a].x=logo_image[a].x+0.5
			end
			if logo_image[a].y>logo_image[a].nexty then
				logo_image[a].y=logo_image[a].y-0.5
			elseif logo_image[a].y<logo_image[a].nexty then
				logo_image[a].y=logo_image[a].y+0.5
			end
		end
	end
	
	if logo_alpha<200 and logo_timer<2 then
		logo_alpha=logo_alpha+dt*200
	end
	if logo_timer>3 then
		logo_alpha=logo_alpha-dt*200
	end
	if logo_timer>4 then
		love.event.push("q")
	end
end

function love.draw()
	love.graphics.setBlendMode("additive")
	love.graphics.setColor(255,0,0,logo_alpha)
	love.graphics.draw(img_logo,logo_image[1].x,logo_image[1].y,0,1,1,64,64)
	love.graphics.setColor(0,255,0,logo_alpha)
	love.graphics.draw(img_logo,logo_image[2].x,logo_image[2].y,0,1,1,64,64)
	love.graphics.setColor(0,0,255,logo_alpha)
	love.graphics.draw(img_logo,logo_image[3].x,logo_image[3].y,0,1,1,64,64)
	love.graphics.setColor(255,255,255,255)
	love.graphics.setBlendMode("subtractive")
	love.graphics.draw(img_logo_flare,love.mouse.getX(),love.mouse.getY(),0,1,1,64,64)
end